Bug 224572 - security/sssd: unbreak stage-qa, fix missing dependency
Summary: security/sssd: unbreak stage-qa, fix missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-24 19:40 UTC by Phillip R. Jaenke
Modified: 2018-02-25 15:56 UTC (History)
3 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
sssd.Makefile.patch (1.96 KB, patch)
2017-12-24 19:40 UTC, Phillip R. Jaenke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Phillip R. Jaenke 2017-12-24 19:40:53 UTC
Created attachment 189083 [details]
sssd.Makefile.patch

security/sssd is currently failing under poudriere in stage-qa due to missing dependencies and flavors fallout. This patch also addresses a minor nitpick where sssd will constantly attempt to poke a non-existent directory looking for a krb5.conf file by explicitly instructing it to rely on /etc/krb5.conf.

Patch that corrects all issues is attached. Note that this bumps PORTREV from 9 to 10.
Comment 1 Phillip R. Jaenke 2017-12-24 19:53:02 UTC
Review created at https://reviews.freebsd.org/D13608
Comment 2 Yuri Victorovich freebsd_committer 2018-02-23 08:56:22 UTC
Timeout expired.
Comment 3 Yuri Victorovich freebsd_committer 2018-02-23 10:04:24 UTC
Committed.
Thank you for the patch.
Comment 4 commit-hook freebsd_committer 2018-02-23 10:04:57 UTC
A commit references this bug:

Author: yuri
Date: Fri Feb 23 10:04:17 UTC 2018
New revision: 462684
URL: https://svnweb.freebsd.org/changeset/ports/462684

Log:
  security/sssd: Fixed missing dependency

  Timeout expired, maintainer lukas.slebodnik@intrak.sk

  PR:		224572
  Submitted by:	Phillip R. Jaenke <prj@rootwyrm.com>
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/security/sssd/Makefile
Comment 5 lukas.slebodnik 2018-02-25 15:56:18 UTC
(In reply to Yuri Victorovich from comment #2)
Timeout expired.

Sorry I somehow missed that BZ.
Anyway, thank you very much for fix.